ReferenceDocumentsDocumentidAttachment analyses
Trigger AI analysis on document attachments
Trigger AI analysis on document attachments - POST /documents/{documentId}/attachment-analyses. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
documentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/documents/string/attachment-analyses" \ -H "Content-Type: application/json" \ -d '{ "attachmentIds": [ "string" ], "fieldId": "string" }'{ "accepted": true, "analysisError": "string", "analysisResult": "string", "apiKeyId": "string", "attachmentIds": [ "string" ], "createdAt": "string", "creatorUserId": "string", "entryIndex": 0, "fieldId": "string", "id": "string", "status": 0, "type": "attachment_analysis", "updatedAt": "string", "validationOk": true, "validationWarnings": [ "string" ]}List attachment analyses for document GET
List attachment analyses for document - GET /documents/{documentId}/attachment-analyses. DocDealer REST API reference.
Delete attachment analysis for document DELETE
Delete attachment analysis for document - DELETE /documents/{documentId}/attachment-analyses/{analysisId}. DocDealer REST API reference.